Skip to main content
Update workspace name and/or description

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

id
string
required

Body

application/vnd.composer.v3+json

Workspace partial update

name
string
Required string length: 1 - 255
description
string

Response

200 - application/vnd.composer.v3+json

OK

Workspace resource

name
string
required

Workspace name. Unique per account.

Required string length: 1 - 255
id
string
read-only

Defines a workspace identifier

accountId
string
read-only

Account that owns the workspace

description
string

Workspace description.

state
enum<string>
read-only

OPEN or PUBLISHED.

Available options:
OPEN,
PUBLISHED
creatorName
string
read-only

Defines a workspace author name

createdByUserID
string
read-only
lastModifiedByUserID
string
read-only
createdDate
string<date-time>
read-only
lastModifiedDate
string<date-time>
read-only